[Previous] [Contents]

## `COMP::ListCompoFiner` -- all compositions finer than a given one

#### Call(s)

`COMP::ListCompoFiner(compo)`

#### Parameters

`compo` | - | any list denoting a composition

#### Introduction

The `COMP::ListCompoFiner` function generates all compositions finer than a given composition `compo` (obtained by decomposing parts of `compo`). The result is a list of compositions.

#### Example 1

    >> muEC::COMP::ListCompoFiner([2,1,3]);

          [[2, 1, 3], [1, 1, 1, 3], [2, 1, 2, 1], [1, 1, 1, 2, 1],

             [2, 1, 1, 2], [1, 1, 1, 1, 2], [2, 1, 1, 1, 1],

             [1, 1, 1, 1, 1, 1]]

#### Related Functions

`ListCompo`, `ListCompoFatter`, `TYP::IsCompo`

[Previous] [Contents]

MuPAD Combinat, an open source algebraic combinatorics package